@font-face {
    font-family: "vazir";
    src: url(fonts/Vazir.ttf) format(trueType);
}
* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}
html {
    scroll-behavior: smooth;
}
body {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none; 
    background: #1e1e1e;
    color: rgb(220, 220, 220);
    font-family: "vazir", sans-serif;
    transition: all 0.3s ease-in-out;
}
::selection {
    background: rgb(0, 153, 158);
    color: white;
}
::-moz-selection {
    background: rgb(0, 153, 158);
    color: white;
}
a {
    -webkit-tap-highlight-color: transparent;
    text-decoration: none;
    color: inherit;
}
.ltr {
    direction: ltr;
}
.hide {
    display: none !important;
}
#header-logo-container {
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 100px;
    background: rgb(50, 50, 50);
    margin: 50px;
    transition: all 0.3s ease-in-out;
}
.logo {
    height: 115px;
    margin-right: 15px;
}
.text-logo {
    font-size: 35px;
    font-weight: bold;
    margin-right: 6px;
    color: white;
}
.lightMode {
    background: rgb(220, 220, 220);
    color: #1e1e1e;
}
.headerLightMode {
    background: rgb(175, 175, 175) !important;
}
b {
    white-space: nowrap;
}

.typewriter {
    font-family: inherit;
    font-size: 2em;
    font-weight: bold;
    color: rgb(0, 153, 158);
    height: 100px;
    display: flex;
    align-items: center;
    justify-content: center;
}
.cursor {
    display: inline-block;
    width: 3px;
    height: 35px;
    background-color: gray;
    margin-right: 5px;
    animation: cursorBlink 1s infinite;
}
@keyframes cursorBlink {
    0%, 100% { opacity: 1; }
    50% { opacity: 0; }
}

.blue {
    color: rgb(0, 153, 158) !important;
}
.orange {
    color: rgb(200, 90, 0) !important;
}
.yellow {
    color: yellow !important;
}
.green {
    color: rgb(75, 120, 15) !important;
}
.light-green {
    color: rgb(150, 255, 0);
}
.red {
    color: tomato !important;
}
.comment {
    color: rgb(160, 160, 160);
}
.dim {
    opacity: 0.7;
}

.links-container {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    margin: 5px;
}
.links {
    background: rgba(128, 128, 128, 0.5);
    width: 100px;
    text-align: center;
    border-radius: 10px;
    margin: 10px;
    padding: 5px;
    cursor: pointer;
}
.link-image {
    height: 40px;
}

.vertical-line {
    width: 3px;
    height: 250px;
    background: gray;
}
#variables-container {
    display: flex;
    flex-direction: row;
}
.code {
    user-select: text;
    background: #181818;
    color: rgb(220, 220, 220);
    padding: 5px;
    line-height: 2;
    border-radius: 10px;
    font-size: 1em;
    white-space: pre;
    direction: ltr;
}
.long-code {
    user-select: text;
    background: #181818;
    color: rgb(220, 220, 220);
    padding: 30px;
    line-height: 1.8;
    border-radius: inherit;
    font-size: 1em;
    white-space: pre;
    direction: ltr;
}
.comment-code {
    color: rgb(160, 160, 160);
    margin-left: 30px;
}

.command-name {
    font-size: 1.5em;
}
.command-description {
    font-size: .95em;
    text-align: justify;
    margin: 20px;
    line-height: 2;
}
.block-level {
    display: block;
}
.center {
    text-align: center;
}

#pageTitle {
    font-size: 2em;
    margin: 30px;
    height: 50px;
}

#search-button {
    display: flex;
    align-items: center;
    background: rgba(245, 245, 245, 0.2);
    transition: all 0.3s ease-in-out;
    border-radius: 0 25px 25px 0;
    border-top: none;
    border-right: none;
    border-bottom: none;
    border-left: 1px solid rgb(200, 200, 200);
    padding: 2px;
    margin-left: 10px;
}
#search-button:hover {
    background: rgba(250, 250, 250, 0.35);
}
#search-button:hover #search-icon {
    transform: rotate(-20deg);
}
#search-icon {
    height: 50px;
    opacity: 0.5;
    transition: all 0.3s ease-in-out;
}
#search-box {
    background-color: #ffffff24;
    display: flex;
    align-items: center;
    border: 1px solid rgb(165, 165, 165);
    border-radius: 50px;
    width: 100%;
    max-width: 550px;
    margin: 0 30px;
}
#search-input {
    background: none;
    border: none;
    outline: none;
    font-family: inherit;
    color: whitesmoke;
    font-size: 15px;
    height: 50px;
    width: 65%;
}
#search-result {
    display: none;
    font-size: 12px;
    background: #ff7b0054;
    border: 1px solid orange;
    border-radius: 15px;
    padding: 4px;
}
button {
    cursor: pointer;
    -webkit-tap-highlight-color: transparent;
}
#mode-icon {
    height: 60px;
}
#change-mode-button {
    transition: all 0.3s ease-in-out;
    border: none;
    background: rgba(220, 220, 220, 0.3);
    border-radius: 50%;
    padding: 5px;
    margin: 20px;
    height: 75px;
    width: 75px;
}
#change-mode-button:hover {
    background: rgba(230, 230, 230, 0.5);
}
.mode-button-rotate {
    transform: rotate(180deg);
}
li {
    font-size: 1em;
    margin: 10px 40px;
}
.section {
    background: rgba(250, 250, 250, 0.1);
    border: 4px solid rgb(0, 130, 240);
    margin: 2em 4em;
    padding: 10px;
    border-radius: 20px;
}
.examples {
    font-size: 1.5em;
    margin: 50px 20px 20px 20px;
    text-align: center;
    color: rgb(225, 100, 0);
}
#buttons-container {
    display: flex;
    justify-content: center;
}
.buttons {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    border: none;
    width: 120px;
    height: 140px;
    margin: 15px;
    border-radius: 20px;
    font-family: inherit;
    font-size: 1.2em;
    color: #1e1e1e;
    box-shadow: 4px 4px 10px rgba(0, 0, 0, 0.4);
    transition: all 0.3s ease-in-out;
}
.buttons-image {
    filter: drop-shadow(0 0 10px rgba(0, 0, 0, 0.2));
}
.active {
    transform: translateY(20px);
    pointer-events: none;
    color: white;
}
#basicButton {
    background: rgba(200, 90, 0, .7);
}
#conditionalButton {
    background: rgba(75, 120, 15, .7);
}
#projectsButton {
    background: rgba(0, 160, 240, .7);
}
#libraryButton {
    background: rgba(130, 0, 220, .7);
}
#eductionsButton {
    background: rgba(220, 0, 70, .7);
}
#basicButton.active {
    background: rgb(200, 90, 0);
    box-shadow: 0 0 20px rgb(200, 90, 0);
}
#conditionalButton.active {
    background: rgb(75, 120, 15);
    box-shadow: 0 0 20px rgb(75, 120, 15);
}
#projectsButton.active {
    background: rgb(0, 160, 240);
    box-shadow: 0 0 20px rgb(0, 160, 240);
}
#libraryButton.active {
    background: rgb(130, 0, 220);
    box-shadow: 0 0 20px rgb(130, 0, 220);
}
#eductionsButton.active {
    background: rgb(220, 0, 70);
    box-shadow: 0 0 20px rgb(220, 0, 70);
}

.list-style-none {
    list-style: none;
}
.subsets {
    margin-left: 30px;
}
.subsets-2 {
    margin-left: 60px;
}
.nowrap {
    white-space: nowrap;
}

@keyframes led-blink {
    0% {
        opacity: 1;
    }
    50% {
        opacity: 1;
    }
    51% {
        opacity: 0.3;
    }
    100% {
        opacity: 0.3;
    }
}
#blink-led {
    animation: led-blink 2s infinite;
}
#project-links-container {
    display: grid;
    justify-items: center;
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: repeat(5, auto);
}
.project-link {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    color: white;
    transition: all 0.3s ease-in-out;
    gap: 20px;
    border-radius: 30px;
    margin: 30px;
    padding: 50px;
    width: 30em;
    height: 20em;
}
.project-link:hover {
    transform: translateY(-15px);
    box-shadow: 0 0 30px gray;
}
#blink-led-link {
    background: olive;
}
#pushBtn-led-link {
    background: brown;
}
#light-dance-link {
    background: chocolate;
}
@keyframes police-light-blink {
    0% {
        background: linear-gradient(90deg, blue, red);
    }
    50% {
        background: linear-gradient(90deg, blue, red);
    }
    51% {
        background: linear-gradient(90deg, red, blue);
    }
    100% {
        background: linear-gradient(90deg, red, blue);
    }
}
#police-light-dance-link {
    animation: police-light-blink 2s infinite;
}
@keyframes traffic-light-blink {
    0% {
        background: red;
        color: white;
    }
    35% {
        background: red;
        color: white;
    }
    36% {
        background: yellow;
        color: rgb(20, 20, 20);
    }
    70% {
        background: yellow;
        color: rgb(20, 20, 20);
    }
    71% {
        background: rgb(0, 200, 0);
        color: white;
    }
    100% {
        background: rgb(0, 200, 0);
    }
}
#traffic-light-link {
    /* background: teal; */
    animation: traffic-light-blink 4s infinite;
}
#muzical-buzzer-link {
    background: darkslateblue;
}

#libraryPage {
    display: flex;
    align-items: center;
    flex-direction: column;
}
.library-container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    height: 25em;
    width: auto;
    background: rgba(85, 85, 85, 0.4);
    border-radius: 50px;
    margin: 20px;
    cursor: pointer;
    -webkit-tap-highlight-color: transparent;
    transition: all 0.4s ease-in-out;
}
.library-container:hover {
    background: rgba(180, 180, 180, 0.5);
}
.library-image {
    height: 6em;
    margin-top: 15px;
    opacity: 0.9;
}
.library-description {
    margin: 40px;
    line-height: 1.8;
    font-size: 1em;
}
.library-details {
    margin: 0 40px 20px;
    font-size: 0.7em;
}
#library-instal-toturial {
    display: flex;
    flex-direction: column;
    align-items: center;
    background: rgba(110, 110, 110, 0.5);
    border-radius: 40px;
    margin: 30px;
    padding: 30px;
}
.library-instal-toturial-image-big {
    height: 500px;
}
#library-boxes-container {
    display: grid;
    justify-items: center;
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: repeat(5, auto);
}
#libraries-examples-link-container {
    display: flex;
    justify-content: center;
    flex-direction: column;
}
.example-link {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 20px;
    transition: all 0.3s ease-in-out;
    background: rgba(255, 255, 255, 0.1);
    margin: 40px 100px ;
    padding: 20px;
    border-radius: 30px;
}
.example-link:hover {
    background: rgba(255, 255, 255, 0.2);
    box-shadow: 0 0 30px rgba(255, 255, 255, 0.5);
    transform: translateY(-10px);
}


footer {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    color: rgb(220, 220, 220);
    background: linear-gradient(135deg, rgba(200, 90, 0, 0.6), rgba(75, 120, 15, 0.6), rgba(0, 0, 255, 0.6), rgba(130, 0, 220, 0.6), rgba(220, 0, 70, 0.6));
    height: 200px;
    border-top: 2px solid gray;
}
.footer-boxes {
    display: flex;
    align-items: center;
}
#footer-logo {
    filter: drop-shadow(0 0 10px rgba(0, 0, 0, 0.5));
}
#developer-icon {
    transition: all 0.3s ease-in-out;
}
#about-developer:hover #developer-icon {
    transform: rotate(180deg);
}



@media (max-width: 1023px) and (min-width: 300px) {
    .sections-container{
        display: flex;
        flex-direction: column;
        align-items: center;
    }
    .section {
        margin: 20px 20px;
    }
    #header-logo-container {
            margin: 30px 10px;
    }
    #header-logo {
        height: 50px !important;
        margin-right: 15px;
    }
    .text-logo {
        font-size: 15px;
    }
    #mode-icon {
        height: 30px;
    }
    #change-mode-button {
        display: flex;
        justify-content: center;
        align-items: center;
        height: 50px;
        width: 50px;
        padding: 10px;
        margin: 10px 10px;
    }
    #search-box {
        margin: 0 10px;
    }
    #search-input {
        font-size: 6px;
        height: 25px;
    }
    #search-icon {
        height: 25px;
    }
    .typewriter {
        font-size: 1.15em;
        height: 50px;
    }
    .buttons-image {
        height: 40px;
    }
    .buttons {
        font-size: 10px;
        height: 80px;
        margin: 5px;
        width: 65px;
        border-radius: 15px;
    }
    #pageTitle {
        font-size: 1.4em;
        margin: 30px;
    }
    .long-code {
        padding: 0;
        font-size: 0.55em;
    }
    .command-description {
        font-size: .65em;
    }
    .command-name {
        font-size: 1.3em;
    }
    li {
        font-size: 0.5em;
    }
    #variables-container {
        display: flex;
        flex-direction: column-reverse;
    }
    .vertical-line {
        width: 250px;
        height: 3px;
    }
    .code {
        font-size: 0.6em;
    }
    .examples {
        font-size: 1.2em;
        margin: 0;
    }
    .project-link {
        margin: 20px 0;
        padding: 20px;
        width: 11em;
        height: 20em;
    }
    #footer-logo {
        height: 80px;
    }
    .example-link {
        text-align: justify;
        line-height: 1.8;
        font-size: 10px;
        margin: 20px 20px;
    }
    .example-link img {
        height: 60px;
    }
    .library-description {
        margin: 10px 10px;
    }
    .library-container {
        font-size: 0.5em;
        border-radius: 20px;
        margin: 20px;
        height: 30em;
    }
    .library-instal-toturial-image-big {
        height: 170px;
    }
    #project-links-container a p {
        font-size: 0.65em;
    }
    #project-links-container a h3 {
        font-size: 0.8em;
    }

}